﻿/*
  Basic stylesheet for Global Vision Select. This is a minimal equivalent of bootstrap-select in anticipation of it being banned.
  This also includes fixes for long strings and alignment of the drop down caret.
*/

div.gv-select {
  height: auto;
  border: none;
  padding: 0px;
}

  div.gv-select button.dropdown-toggle {
    padding-right: 20px;
    width: 100%;
  }

  div.gv-select ul.dropdown-menu {
    max-height: 200px;
    overflow-y: auto;
  }

  div.gv-select .dropdown-menu li a {
    word-wrap: break-word;
    word-break: break-all;
    white-space: normal;
  }

  div.gv-select button.dropdown-toggle span.text {
    word-wrap: break-word;
    word-break: normal;
    white-space: normal;
    width: 100%;
    text-align: left;
  }

  div.gv-select button.dropdown-toggle span.caret {
    text-align: right;
  }
